havege.h File Reference

HAVEGE: HArdware Volatile Entropy Gathering and Expansion. More...

`#include "config.h"`
`#include <stddef.h>`
Include dependency graph for havege.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mbedtls_havege_state
| HAVEGE state structure. More...

## Macros

#define | MBEDTLS_HAVEGE_COLLECT_SIZE 1024

## Typedefs

typedef struct mbedtls_havege_state | mbedtls_havege_state
| HAVEGE state structure. More...

## Functions

void | mbedtls_havege_init (mbedtls_havege_state *hs)
| HAVEGE initialization. More...
void | mbedtls_havege_free (mbedtls_havege_state *hs)
| Clear HAVEGE state. More...
int | mbedtls_havege_random (void *p_rng, unsigned char *output, size_t len)
| HAVEGE rand function. More...

## Detailed Description

HAVEGE: HArdware Volatile Entropy Gathering and Expansion.

Definition in file havege.h.

## Macro Definition Documentation

## MBEDTLS_HAVEGE_COLLECT_SIZE

#define MBEDTLS_HAVEGE_COLLECT_SIZE 1024

Definition at line 35 of file havege.h.

## Typedef Documentation

## mbedtls_havege_state

typedef struct mbedtls_havege_state mbedtls_havege_state

HAVEGE state structure.

## Function Documentation

## mbedtls_havege_free()

void mbedtls_havege_free | ( | mbedtls_havege_state * | hs | ) |

Clear HAVEGE state.

Parameters

  hs | HAVEGE state to be cleared

## mbedtls_havege_init()

void mbedtls_havege_init | ( | mbedtls_havege_state * | hs | ) |

HAVEGE initialization.

Parameters

  hs | HAVEGE state to be initialized

## mbedtls_havege_random()

int mbedtls_havege_random | ( | void * | p_rng,
|  | unsigned char * | output,
|  | size_t | len
| ) |  |

HAVEGE rand function.

Parameters

  p_rng | A HAVEGE state
  output | Buffer to fill
  len | Length of buffer

Returns
  0